local SaltProduction = ...

SaltProduction:override({
    Id = "NEWCOMER",
    CompatibleJobList = {
        Action = "APPEND",
        SaltPrefix .. "_SALT_WORKER"
    }
})

SaltProduction:override({
    Id = "SERF",
    CompatibleJobList = {
        Action = "APPEND",
        SaltPrefix .. "_SALT_WORKER"
    }
})

SaltProduction:override({
    Id = "COMMONER",
    CompatibleJobList = {
        Action = "APPEND",
        SaltPrefix .. "_SALT_WORKER"
    }
})

SaltProduction:override({
    Id = "CITIZEN",
    CompatibleJobList = {
        Action = "APPEND",
        SaltPrefix .. "_SALT_WORKER"
    }
})

-- Register salt worker job
SaltProduction:register({
	DataType = "JOB",
	Id = SaltPrefix .. "_SALT_WORKER",
	JobName = SaltPrefix .. "_SALT_WORKER_NAME",
	JobDescription = SaltPrefix .. "_SALT_WORKER_DESC",
	IsLockedByDefault = false,
	UseWorkplaceBehavior = true,
        AssetJobProgression = "DEFAULT_JOB_PROGRESSION"
})
