local saltTrader = ...

-- Register an addition neighbour to trade with. 
saltTrader:register({
	DataType = "TRADING_VILLAGE",
	Id = SaltPrefix .. "_VILLAGE_LA_ROCHELLE",

	VillageName = "La Rochelle",
	--RESOURCE QUANTITY PAIR
	UnlockCost = { 
		{ Resource = "GOLD", Quantity = 300 }
	},
	ResourceTradingReplenishDelay = 300.0,
	
	--BUYING RESOURCE TRADING INFO
	BuyingResourceList = { 
		{
			ResourceMaxAmount = { Resource = "HONEY", Quantity = 30 },
                        ReplenishingAmount = 10,
			UnitPrice = { Resource = "GOLD", Quantity = 20 }
		},
		{
			ResourceMaxAmount = { Resource = "HERBS", Quantity = 30 },
                        ReplenishingAmount = 10,
			UnitPrice = { Resource = "GOLD", Quantity = 15 }
		}
	},
	
	--SELLING RESOURCE TRADING INFO
	SellingResourceList = {
		{
			ResourceMaxAmount = { Resource = SaltPrefix .. "_SALT", Quantity = 50 },
                        ReplenishingAmount = 20,
			UnitPrice = { Resource = "GOLD", Quantity = 5 },
		}
	},	
	Allegeance = "CLERGY"
})

saltTrader:register({
	DataType = "TRADING_VILLAGE",
	Id = SaltPrefix .. "_VILLAGE_ORLEANS",

	VillageName = "Orleans",
	--RESOURCE QUANTITY PAIR
	UnlockCost = { 
		{ Resource = SaltPrefix .. "_SALT", Quantity = 20 }
	},
	ResourceTradingReplenishDelay = 300.0,
	
	--SELLING RESOURCE TRADING INFO
	SellingResourceList = { 
		{
			ResourceMaxAmount = { Resource = "HONEY", Quantity = 30 },
                        ReplenishingAmount = 10,
			UnitPrice = { Resource = "GOLD", Quantity = 40 }
		},
		{
			ResourceMaxAmount = { Resource = "HERBS", Quantity = 30 },
                        ReplenishingAmount = 10,
			UnitPrice = { Resource = "GOLD", Quantity = 40 }
		}
	},
	
	--BUYING RESOURCE TRADING INFO
	BuyingResourceList = {
		{
			ResourceMaxAmount = { Resource = SaltPrefix .. "_SALT", Quantity = 50 },
                        ReplenishingAmount = 20,
			UnitPrice = { Resource = "GOLD", Quantity = 3 },
		}
	},
	Allegeance = "CLERGY"
})

-- Override default village list
saltTrader:override({
	Id = "VILLAGE_LIST_DEFAULT",
	TradingVillageList = {
		Action = "APPEND",
		SaltPrefix .. "_VILLAGE_LA_ROCHELLE",
		SaltPrefix .. "_VILLAGE_ORLEANS"
	}
})